Mejora FPS en ATI Xpress Radeon 200M (Jaunty)

Como ya saben, no nos es posible utilizar los drivers propietarios de ATI (fglrx) en nuestro prehistórico Dell Inspiron 1501 o nuestras vetustas (?) tarjetas de video[1], ni siquiera con la salida de los últimos drivers con soporte para Ubuntu 9.04. Por suerte, gracias al comentario que dejó Abel O’Ryan, me fue posible compilar los últimos drivers libres de ATI con una mejora nada despreciable de 600 fps (de ~200 a ~800), según leí, a algunos superó los 1000!.

Por cierto, meter manos aquí puede ser peligroso, en el sentido que no sería raro que se pudiera caer todo el servidor gráfico, por lo que si no estás acostumbrado a trabajar con la terminal para reparar el xorg.conf, te recomendaría que tuvieras cuidado. De todas formas es sólo una advertencia y realmente no tendría por qué pasar si lo haces con cuidado. Bueno, dejo de aburrirte y pongamos manos a la obra:

Entonces lo primero será revisar que tengamos los repositorios correctamente configurados para ello:

  • Gestor de paquetes Synaptic > Configuración > Repositorios > Tickear “fuente”
  • Recargamos los repositorios y cerramos Synaptic

Ahora vamos a instalar los paquetes necesarios para la compilación:

  • sudo apt-get install build-essential autoconf libxmu-dev libdrm-dev x11proto-dri2-dev pkg-config libxi-dev git-core pkg-config
  • sudo apt-get build-dep mesa (sí, no va “install“)

Descargamos desde el git de radeon-rewrite los últimos drivers:

  • git clone git://anongit.freedesktop.org/git/mesa/mesa (este paso puede tardarse bastante, especialmente cuando aparentemente termina el conteo)
  • cd mesa
  • git branch radeon-rewrite origin/radeon-rewrite
  • git checkout radeon-rewrite

Ahora comenzamos con la compilación:

  • ./autogen.sh --prefix=/usr --with-dri-drivers=radeon,r200,r300

Aquí viene un punto que es difícil de explicar, porque la variedad de errores es enorme, básicamente se trata de ausencia de algunos paquetes. Luego de que aparezca el error, lo que tienes que hacer es buscar el lib[paquete_ausente]-dev correspondiente en Synaptic. Suena raro, pero te voy a dar un ejemplo para que puedas guiarte:

checking for GLUT... configure: error: Package requirements (x11 xmu xi) were not met:

No package 'xi' found

Entonces vía Synaptic buscas el paquete libxi-dev lo instalas y ejecutas el comando nuevamente, si todo salió bien al final debería salir:

Run 'make' to build Mesa

Y como nosotros somos muy obedientes:

  • make
  • sudo make install

Puesto que estás en Jaunty y con nuestra añeja tarjeta, sólo bastaría reiniciar el entorno gráfico para comenzar a probar los nuevos drivers. Para asegurarte que esté todo bien configurado lo probamos con lo mismo de siempre:

~$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Mesa DRI R300 (RS400 5975) 20090101 x86/MMX+/3DNow!+/SSE2 NO-TCL
~$ glxgears

Espero que te haya resultado útil ;) y ya sabes, cualquier duda, comentario o reclamo felicitación a los comentarios!

PD.- Me encuentro trabajando en una pequeña sorpresa por eso no he escrito ;).

Fuentes:

[1] O cualquier tarjeta que en el lspci indique un R2x,R3x,RS4x (no sé si las R5)

5 comentarios en “Mejora FPS en ATI Xpress Radeon 200M (Jaunty)

  1. lo probe, instale todo sin problema…ni siquiera errores en la compilacion, lo que me sorprendio porque jamas me sale tan facil…..el drama, al reiniciar mi notebook…murio el servidor grafico…..Plop….pero ya lo arregle…jajaja

    Me gusta

  2. Lo hice sin problemas… pero cuando probe de entrar a Boxee (el cambio de drivers lo hice porque los videos se veian como lentos) se queda colgado en el inicio del programa. Alguna idea que no sea volver al driver anterior?

    Me gusta

  3. Buenas se mi pregunta es muy básica pero bueno hay va:
    Tenía instalado intrepid en compaq Presario V2000 y actualizé sin problemas a karmic, tiene la tarjeta Radeon Express 200m leí este post y no tuve problemas al bajar los archivos de mesa, ni compilarlos ni al hacer el make, el problema es al querer instalar me sale el error 11????
    Según leo en karmic debería de tener aceleración sin necesidad de compilar lo que no logro entender aún es que paquete debo de instalar, espero puedan responder.

    SOMOS ANGELES JUGANDO A SER HUMANOS.

    Me gusta

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google photo

Estás comentando usando tu cuenta de Google. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

Conectando a %s

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios .